Docs Submit tasks /suno/fetch/{id}
API reference

Query a single task

GET polling entry; id is the task_id returned for the submitted task. Query the detailed status of a single task or clip, including audio URLs, lyrics, and more.

GET/suno/fetch/{id}

Responses

200 success application/json
response-200 object
properties
code string

Business status code

data oneOf

Data payload (often Base64 or a structured object)

message string

Message text

401 Missing or invalid API Key application/json
response-401 object
properties
error* object
Code Sample cURL
1curl -X GET "https://api.digislash.com/suno/fetch/{id}" \
2-H "Authorization: Bearer <API Key>"
Response
1▼{
2"code": "success",
3▼"data": {
4"action": "string",
5"data": {},
6"fail_reason": "string",
7"status": "string",
8"task_id": "string"
9},
10"message": "string"
11}